GCC 4.4 and ARGoS on the IRIDIA cluster

****************************************
EDIT: With the new installation of the cluster, gcc44 is the default compiler, so you don’t need this anymore. Actually it might be possible that leaving these settings will prevent you from compiling. Remove them in case you have cmake problems (such as: CMake Error: Error required internal CMake variable not set, cmake may be not be built correctly. Missing variable is: CMAKE_C_COMPILER)
****************************************

OUTDATED! READ ABOVE!!!
On the IRIDIA cluster, GCC 4.4 is available under the commands gcc44/g++44.

In order to use this with CMake and ARGoS2, you can either set the appropriate environment variables or simply add a


set(CMAKE_C_COMPILER "gcc44")
set(CMAKE_CXX_COMPILER "g++44")

before the version check in the main CMakeList of *each* of your packages.

On a side note, I fixed the missing packages for ARGoS 1, so that old experiments can again be compiled.
OUTDATED! READ ABOVE!!!